NAMEI(1)

NAZWA
namei - podąża za ścieżką do odnalezienia elementu finalnego

SKŁADNIA

namei [opcje] ścieżka...

OPIS

namei interpretuje swoje argumenty jako ścieżki do uniksowego pliku dowolnego typu (dowiązania symboliczne, pliki, katalogi itd.). namei następnie podąża za każdą ścieżką, aż do odnalezienia końcowego punktu (pliku, katalogu, węzła urządzenia itp.). Jeśli odnajdzie dowiązanie symboliczne - wypisze je, a następnie podąży za nim, pokazując na wyjściu wcięcie, aby ułatwić interpretację kontekstu.

Program jest przydatny do rozwiązywania problemów typu "zbyt wiele poziomów dowiązań symbolicznych".problems.

Dla każdego wiersza na wyjściu namei korzysta z następujących znaków do identyfikacji odnalezionego typu pliku:
f: | the pathname currently being resolved
d | directory
l | symbolic link (both the link and its contents are output)
s | socket
b | block device
c | character device
p | FIFO (named pipe)
- | regular file
? | an error of some kind

namei wypisuje informację, gdy przekroczona zostanie maksymalna liczba dowiązań symbolicznych w systemie..

OPCJE

-l, --long
    Używa długiego formatu wypisywania (równoważne -m -o -v).

-m, --modes
    Pokazuje bity trybu każdego typu pliku w stylu ls(1) np. "rwxr-xr-x".

-n, --nosymlinks
    Nie podąża za dowiązaniami symbolicznymi

-o, --owners
    Pokazuje nazwę właściciela i grupy każdego pliku.

-v, --vertical
    Wyrównuje w pionie tryby i właścicieli.

-x, --mountpoints
    Pokazuje katalogi punktów montowania z oznaczeniem "D" zamiast "d".

-Z, --context
    Pokazuje kontekst bezpieczeństwa pliku lub oznaczenie "?", gdy nie jest dostępny. Obsługa kontekstów bezpieczeństwa jest opcjonalna i nie musi być wkompilowana w plik wykonywalny namei.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

USTERKI

Czekają na wykrycie.

AUTORZY

Pierwotną wersję programu namei napisał

Program został przepisany przez

ZOBACZ TAKŻE

ls(1), stat(1), symlink(7)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie namei jest częścią pakietu util-linux, który można pobrać ze strony